'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _stream = require('../stream');

var _stream2 = _interopRequireDefault(_stream);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function () {
  var opts = arguments.length <= 0 || arguments[0] === undefined ? { generator: Function, customName: String } : arguments[0];
  var generator = opts.generator;
  var customName = opts.customName;


  var stream = (0, _stream2.default)({ processName: 'generator', customName: customName });

  var iterator = generator();

  var tx = void 0;

  var write = function write() {
    var cursor = iterator.next();
    if (cursor.done) {
      clearInterval(tx);
      return stream.emit('end');
    }
    stream.push(cursor.value);
  };

  var listen = function listen() {
    return tx = setInterval(write, 50);
  };

  return { stream: stream, listen: listen };
};